ListIntegrationAttributes
GET
/api/v1/integrations/{integration}/attributesList the attributes an integration syncs onto the users it knows about.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/integrations/{integration}/attributes"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/integrations/{integration}/attributes"Set OBLIQUE_API_KEY to your API key.
Path parameters
parentstringrequiredThe name of the integration. May be
integrations/-to list all attributes.
Query parameters
pageSizeinteger (int32)pageTokenstring
Response
200ListIntegrationAttributesResponseintegrationAttributesIntegrationAttribute[]namestringAssigned by Oblique.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlykeystringread-onlyThe key of the attribute.
valuesValue[]read-onlyThe detected values of the attribute.
valuestringread-onlycountstring (int64)read-only
valueCountstring (int64)read-onlyThe number of unique values for this attribute. This may be larger than the number of values in the
valuesfield if the attribute is truncated.unsetCountstring (int64)read-onlyThe number of users that don’t have this field set.
nextPageTokenstring
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |